Name:		siril
Version:	1.0.6
Release:	%mkrel 1
Summary:	Astronomical image (pre-)processing program
Group:		Sciences/Astronomy
License:	GPLv3+
URL:		http://free-astro.org/index.php/Siril
Source0:	https://free-astro.org/download/%{name}-%{version}.tar.xz
Patch0:		siril-fix-opencv-version.patch
Patch1:		siril-skip-update-check.patch
Source1:    siril.desktop
BuildRequires:	appstream-glib
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(ffms2)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libswresample)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(opencv)

Recommends:	gnuplot

%description
Siril is an image processing tool specially tailored for noise reduction and
improving the signal/noise ratio of an image from multiple captures, as
required in astronomy. Siril can align automatically or manually, stack and
enhance pictures from various file formats, even images sequences (movies and
SER files).

%prep
%setup -q
%apply_patches

%build
intltoolize -f -c
autoreconf -vfi -Wno-portability

%configure2_5x
%make_build

%install
%make_install

mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications


%files
%{_bindir}/*
%{_datadir}


%changelog

* Tue Mar 28 2023 tex - 1.0.6-1pclos2023
- new version

* Sat Jul 10 2021 tex - 0.99.8.1-1pclos2021
- new version

* Wed Oct 23 2019 tex - 0.9.10-2pclos2019
- rebuild against updates

* Sat Mar 23 2019 tex - 0.9.10-1pclos2019
- new version

* Sat Mar 23 2019 tex - 0.9.9-2pclos2019
- rebuild against updates

* Fri Aug 10 2018 tex 0.9.9-1pclos2018
- import from france
